# Changelog

## 2025-02-03 - 1.1.2 - fix(documentation)
Update readme with additional legal and trademark information

- Added legal information related to licensing and trademarks
- Provided company details of Task Venture Capital GmbH

## 2025-02-03 - 1.1.1 - fix(clamav.manager)
Improve log handling and add timeout for log reception in ClamAV manager tests

- Refined the log receiving mechanism in ClamAV manager tests to use promises for better control over log receipt timing.
- Introduced a timeout mechanism in the log receiving test case to avoid indefinite waiting.
- Fixed the test case setup to accurately reflect log receipt and database information verification.

## 2025-02-03 - 1.1.0 - feat(ClamAvService)
Add ClamAV Manager with Docker container management capabilities.

- Introduced ClamAVManager class to manage ClamAV Docker containers.
- Implemented startContainer and stopContainer methods in ClamAVManager.
- Integrated ClamAVManager into ClamAvService for managing container lifecycle.
- Added ClamAVManager test setups and helpers in test suite.

## 2025-01-10 - 1.0.4 - fix(documentation)
Removed redundant conclusion section in readme.

- Removed the conclusion section from the README file for conciseness.

## 2025-01-10 - 1.0.3 - fix(readme)
Fix formatting errors in the README file for consistent Markdown syntax.

- Removed stray Markdown syntax in README file.

## 2025-01-10 - 1.0.2 - fix(documentation)
Updated README and package metadata to reflect antivirus scanning capabilities and usage instructions.

- Improved description in package.json and npmextra.json to better describe the antivirus scanning functionalities.
- Enhanced README.md to provide detailed installation and usage instructions, usage examples, error handling, and testing guidance.

## 2025-01-10 - 1.0.1 - Initial Release
Initial release of the project.

- Launched the first version with core features implemented
